module read_write(
input             clk     ,
input             rst_n   ,
input      [31:0] data_in , //data za upis
input             rw      , //rw=1->upisi podatak u data_out; u suprotnom citaj iz data_out
output reg [31:0] data_out 
);



always @(posedge clk or negedge rst_n) begin
if(~rst_n)
  data_out<=0;
else begin
  if (rw)               //upisi u  data_out
    data_out<=data_in;
end
end
endmodule