`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   23:10:17 04/29/2022
// Design Name:   regs
// Module Name:   /home/ise/ISE_Share/registri/Reg_3/sim.v
// Project Name:  Reg_3
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: regs
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module sim;

	// Inputs
	reg [3:0] bus_a_sel;
	reg [3:0] bus_b_sel;
	reg e_a_in;
	reg e_b_in;
	reg e_a_out;
	reg e_b_out;

	// Bidirs
	wire [31:0] bus_a;
	wire [31:0] bus_b;

	// Instantiate the Unit Under Test (UUT)
	regs uut (
		.bus_a(bus_a), 
		.bus_b(bus_b), 
		.bus_a_sel(bus_a_sel), 
		.bus_b_sel(bus_b_sel), 
		.e_a_in(e_a_in), 
		.e_b_in(e_b_in), 
		.e_a_out(e_a_out), 
		.e_b_out(e_b_out)
	);

	initial begin
		// Initialize Inputs
		bus_a_sel = 0;
		bus_b_sel = 0;
		e_a_in = 0;
		e_b_in = 0;
		e_a_out = 0;
		e_b_out = 0;

		// Wait 100 ns for global reset to finish
		#100;
       // Initialize Inputs
		bus_a_sel = 1;
		bus_b_sel = 0;
		e_a_in = 1;
		e_b_in = 0;
		e_a_out = 0;
		e_b_out = 0;

		// Wait 100 ns for global reset to finish
		#100; 
		// Add stimulus here

	end
      
endmodule

